ResourcesAdd-ons
List add-ons
Retrieve a paginated list of add-ons for the authenticated store.
Authorization
bearerAuth storeAuth AuthorizationBearer <token>
Provide your SellApp API key as a bearer token.
In: header
X-STORE<token>
Select the SellApp store for this API request.
In: header
Query Parameters
limit?integer
Number of items to return per page.
Default
15Range
1 <= value <= 100page?integer
Page number to return.
Default
1Range
1 <= valuepagination?boolean
Set to false to return at most 100 matching items in one data array without pagination links or metadata.
Default
truewith_drafts?boolean
Include draft add-ons alongside published add-ons.
only_drafts?boolean
Return only draft add-ons.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://sell.app/api/v2/addons"{
"data": [
{
"id": 410,
"store_id": 12,
"title": "Priority support",
"slug": "priority-support",
"description": "Priority email support for this purchase.",
"visibility": "PUBLIC",
"type": "addon",
"is_draft": true,
"is_discoverable": false,
"parent_product_ids": [
120,
121
],
"variants": [],
"created_at": "2026-07-11T12:00:00.000000Z",
"updated_at": "2026-07-11T12:00:00.000000Z",
"deleted_at": null
}
],
"links": {},
"meta": {}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "The given data was invalid.",
"errors": {
"data": [
"The data field is required."
]
}
}